## libktorrent 2.1

=== src/datachecker/CMakeLists.txt ===
if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

set(datachecker_HDR
    datacheckerthread.h
    datachecker.h
    singledatachecker.h
    multidatachecker.h
    datacheckerjob.h
)

install(FILES ${datachecker_HDR} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/libktorrent/datachecker COMPONENT Devel)

=== src/torrent/CMakeLists.txt ===
set(torrent_HDR
    torrent.h
    advancedchokealgorithm.h
    peersourcemanager.h
    choker.h
    server.h
    torrentcontrol.h
    uploader.h
    torrentcreator.h
    timeestimator.h
    torrentfile.h
    statsfile.h
    globals.h
    torrentstats.h
    job.h
    jobqueue.h
    torrentfilestream.h
)

install(FILES ${torrent_HDR} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/libktorrent/torrent COMPONENT Devel)

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

=== src/util/CMakeLists.txt ===
if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

set(util_HDR
    autorotatelogjob.h
    fileops.h
    timer.h
    ptrmap.h
    log.h
    waitjob.h
    urlencoder.h
    array.h
    functions.h
    file.h
    constants.h
    bitset.h
    sha1hash.h
    sha1hashgen.h
    error.h
    win32.h
    logsystemmanager.h
    compressfilejob.h
    decompressfilejob.h
    extractfilejob.h
    pipe.h
    circularbuffer.h
    resourcemanager.h
    bufferpool.h
)
if(NOT WIN32)
set(util_HDR ${util_HDR}
    signalcatcher.h
    )
endif(NOT WIN32)

install(FILES ${util_HDR} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/libktorrent/util COMPONENT Devel)

=== debian/changelog ===
libktorrent (2.1-2+rb1) UNRELEASED; urgency=medium

  * update

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Tue, 19 Jan 2021 14:24:23 +0800

libktorrent (2.1-2) unstable; urgency=medium

  * Team upload.
  * Update symbols files from buildd's logs.
  * Remove the doxygen build dependency, since the API docs are not generated
    anyway.
  * Bump Standards-Version to 4.1.0, no changes required.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Tue, 05 Sep 2017 21:03:17 +0200

libktorrent (2.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - cmake-gcrypt-version.diff: drop, obsolete
  * Replace deprecated build dependencies:
    - kio-dev -> libkf5kio-dev
  * Rename libktorrent6 to libkf5torrent6, according to the new library name.
  * Update install files.
  * Update symbols files. (Closes: #853495)
  * Do not pass -DCMAKE_USE_RELATIVE_PATHS=ON to cmake, as this option is gone
    since cmake 3.2.
  * No need to manually append CPPFLAGS to CFLAGS and CXXFLAGS, as dh 9 does
    that already.
  * Pass -DBUILD_TESTING=OFF to disable the building of unit tests: they are
    not executed already, and a quick test here shows that they fail (most
    probably to the lack of networking).
  * Remove the libkf5torrent6 dependency in libktorrent-l10n, since the latter
    is only a package with data.

 -- Pino Toscano <pino@debian.org>  Fri, 01 Sep 2017 09:26:10 +0200

libktorrent (2.0.1-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies following the port to Frameworks:
    - remove kdelibs5-dev and libqca2-dev
    - add extra-cmake-modules, qtbase5-dev, libkf5archive-dev, libkf5crash-dev,
      libkf5i18n-dev, kio-dev, libkf5solid-dev, and libqca-qt5-2-dev
  * Use the right dh addon:
    - switch from kde to kf5 dh addon
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Rename libktorrent5 to libktorrent6, following the SONAME bump.
  * Update the patches:
    - upstream_don-t-include-circular_buffer-in-moc-run.patch: drop,
      backported from upstream
    - set-pathmax.diff: refresh
  * Fix extraction in cmake of the libcrypt version; patch
    cmake-gcrypt-version.diff.
  * Update install files.
  * Update symbols file.
  * Remove libktorrent-dbg in favour of the -dbgsym packages.
  * Update dependencies in libktorrent-dev.
  * Update Vcs-* fields.
  * Switch Homepage away from the dead ktorrent.org.
  * Add a watch file.
  * Bump Standards-Version to 3.9.8, no changes required.
  * Mark libktorrent6 as "Multi-Arch: same".
  * Small updates in the descriptions.
  * Replace (build) dependencies with non-transitional packages:
    - libgmp3-dev -> libgmp-dev
    - libgcrypt11-dev -> libgcrypt20-dev
  * Minor copyright update.

 -- Pino Toscano <pino@debian.org>  Sun, 03 Jul 2016 22:20:07 +0200

=== debian/control ===
Source: libktorrent
Section: libs
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>
Build-Depends: cmake, debhelper (>= 9~), pkg-kde-tools (>= 0.15.16),
 extra-cmake-modules (>= 1.0.0),
 qtbase5-dev,
 libkf5archive-dev (>= 5.15),
 libkf5crash-dev (>= 5.15),
 libkf5i18n-dev (>= 5.15),
 libkf5kio-dev (>= 5.15),
 libkf5solid-dev (>= 5.15),
 libqca-qt5-2-dev,
 libgmp-dev, libboost-dev, libgcrypt20-dev,
 pkg-config,
Standards-Version: 4.1.0
Homepage: https://www.kde.org/applications/internet/ktorrent/
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/libktorrent.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-extras/libktorrent.git/

Package: libkf5torrent6
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libktorrent-l10n (>= ${source:Version})
Description: KTorrent library for C++ / Qt 5 / KDE Frameworks
 The KTorrent library is a C++ / Qt 5 / KDE Frameworks based implementation of
 the BitTorrent protocol (mostly client side).
 .
 The library supports connectivity to HTTP and UDP trackers, mainline DHT and
 the new generation Micro Transport Protocol (uTP). In addition, it provides
 many powerful BitTorrent network features including but not limited to torrent
 downloading and seeding, torrent creation and downloaded data verification,
 magnet links, advanced peer management, IP blocking lists.

Package: libktorrent-dev
Architecture: any
Section: libdevel
Depends: libkf5torrent6 (= ${binary:Version}), ${misc:Depends},
 ${sameVersionDep:qtbase5-dev},
 ${sameVersionDep:libkf5archive-dev},
 ${sameVersionDep:libkf5config-dev},
 ${sameVersionDep:libkf5kio-dev},
 libboost-dev,
 libgmp-dev,
 libgcrypt20-dev,
Description: development files for the KTorrent Library
 The KTorrent library is a C++ / Qt 5 / KDE Frameworks based implementation of
 the BitTorrent protocol (mostly client side).
 .
 This package contains header files, CMake modules and other files needed for
 developing and compiling/linking which use the KTorrent library.

Package: libktorrent-l10n
Architecture: all
Section: localization
Depends: ${misc:Depends}
Description: localization files for the KTorrent library
 The KTorrent library is a C++ / Qt 5 / KDE Frameworks based implementation of
 the BitTorrent protocol (mostly client side).
 .
 This package contains translations of the KTorrent library.

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_shlibdeps:
	dh_shlibdeps
	dh_sameversiondep

override_dh_strip:
	dh_strip --dbgsym-migration='libktorrent-dbg (<< 2.0.1-1~)'

%:
	dh $@ --parallel --with kf5

.PHONY: override_dh_auto_test

## libktorrent 2.1.0

=== examples/ktcli/CMakeLists.txt ===
set(ktcli_SRC
    ktcli.cpp
    main.cpp
)

add_executable(ktcli ${ktcli_SRC})
target_link_libraries(ktcli KF5::Torrent)

=== src/download/CMakeLists.txt ===
if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

set (download_HDR
    chunkdownload.h
    downloader.h
    request.h
    piece.h
    packet.h
    chunkselector.h
    webseed.h
)

install(FILES ${download_HDR} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/libktorrent/download COMPONENT Devel)

=== src/magnet/tests/CMakeLists.txt ===
set(magnetlinktest_SRCS magnetlinktest.cpp)

add_executable(magnetlinktest ${magnetlinktest_SRCS})
add_test(magnetlinktest magnetlinktest)
ecm_mark_as_test(magnetlinktest)
target_link_libraries( magnetlinktest Qt5::Test KF5::Torrent)

=== src/util/tests/CMakeLists.txt ===
set(circularbuffertest_SRCS circularbuffertest.cpp)
add_executable(circularbuffertest ${circularbuffertest_SRCS})
add_test(circularbuffertest circularbuffertest)
ecm_mark_as_test(circularbuffertest)
target_link_libraries( circularbuffertest Qt5::Test KF5::Torrent)

if(NOT MSVC)
set(signalcatchertest_SRCS signalcatchertest.cpp)
add_executable(signalcatchertest ${signalcatchertest_SRCS})
add_test(signalcatchertest signalcatchertest)
ecm_mark_as_test(signalcatchertest)
target_link_libraries( signalcatchertest Qt5::Test KF5::Torrent)
endif(NOT MSVC)

set(resourcemanagertest_SRCS resourcemanagertest.cpp)
add_executable(resourcemanagertest ${resourcemanagertest_SRCS})
add_test(resourcemanagertest resourcemanagertest)
ecm_mark_as_test(resourcemanagertest)
target_link_libraries( resourcemanagertest Qt5::Test KF5::Torrent)

set(fileopstest_SRCS fileopstest.cpp)
add_executable(fileopstest ${fileopstest_SRCS})
add_test(fileopstest fileopstest)
ecm_mark_as_test(fileopstest)
target_link_libraries( fileopstest  Qt5::Test KF5::Torrent)

set(bufferpooltest_SRCS bufferpooltest.cpp)
add_executable(bufferpooltest ${bufferpooltest_SRCS})
add_test(bufferpooltest bufferpooltest)
ecm_mark_as_test(bufferpooltest)
target_link_libraries( bufferpooltest  Qt5::Test KF5::Torrent)

=== debian/changelog ===
libktorrent (2.1.0-0ubuntu1) artful; urgency=medium

  * New upstream release (2.1.0)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Sep 2017 01:13:36 +0100

libktorrent (2.0.90-0ubuntu1) artful; urgency=medium

  * New upstream RC release (2.0.90)
  * Switch kio depends to new KF5 name: kio-dev -> libkf5kio-dev
  * wrap-and-sort
  * Update symbols from build logs
  * Libraries and development files now have KF5 style paths and names,
    so update install files accordingly.
  * debian/patches: drop cmake-gcrypt-version.diff as similar fix applied
    in upstream master

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 21 Aug 2017 10:57:24 +0100

=== debian/control ===
Source: libktorrent
Section: libs
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>
Build-Depends: cmake,
               debhelper (>= 9~),
               doxygen,
               extra-cmake-modules (>= 1.0.0),
               libboost-dev,
               libgcrypt20-dev,
               libgmp-dev,
               libkf5archive-dev (>= 5.15),
               libkf5crash-dev (>= 5.15),
               libkf5i18n-dev (>= 5.15),
               libkf5kio-dev (>= 5.15),
               libkf5solid-dev (>= 5.15),
               libqca-qt5-2-dev,
               pkg-config,
               pkg-kde-tools (>= 0.15.16),
               qtbase5-dev
Standards-Version: 3.9.8
Homepage: https://www.kde.org/applications/internet/ktorrent/
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/kde-extras/libktorrent.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-kde/kde-extras/libktorrent.git/

Package: libktorrent6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libktorrent-l10n (>= ${source:Version})
Description: KTorrent library for C++ / Qt 5 / KDE Frameworks
 The KTorrent library is a C++ / Qt 5 / KDE Frameworks based implementation of
 the BitTorrent protocol (mostly client side).
 .
 The library supports connectivity to HTTP and UDP trackers, mainline DHT and
 the new generation Micro Transport Protocol (uTP). In addition, it provides
 many powerful BitTorrent network features including but not limited to torrent
 downloading and seeding, torrent creation and downloaded data verification,
 magnet links, advanced peer management, IP blocking lists.

Package: libktorrent-dev
Architecture: any
Section: libdevel
Depends: libboost-dev,
         libgcrypt20-dev,
         libgmp-dev,
         libktorrent6 (= ${binary:Version}),
         ${misc:Depends},
         ${sameVersionDep:libkf5archive-dev},
         ${sameVersionDep:libkf5config-dev},
         ${sameVersionDep:libkf5kio-dev},
         ${sameVersionDep:qtbase5-dev}
Description: development files for the KTorrent Library
 The KTorrent library is a C++ / Qt 5 / KDE Frameworks based implementation of
 the BitTorrent protocol (mostly client side).
 .
 This package contains header files, CMake modules and other files needed for
 developing and compiling/linking which use the KTorrent library.

Package: libktorrent-l10n
Architecture: all
Section: localization
Depends: libktorrent6 (>= ${source:Version}), ${misc:Depends}
Description: localization files for the KTorrent library
 The KTorrent library is a C++ / Qt 5 / KDE Frameworks based implementation of
 the BitTorrent protocol (mostly client side).
 .
 This package contains translations of the KTorrent library.

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,10 @@
 #!/usr/bin/make -f
 
+export DEB_CPPFLAGS_MAINT_APPEND := $(shell dpkg-buildflags --get CPPFLAGS)
+export DEB_CFLAGS_MAINT_APPEND := $(shell dpkg-buildflags --get CPPFLAGS)
+
 override_dh_auto_configure:
-	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF
+	dh_auto_configure -Skf5 -- -DCMAKE_USE_RELATIVE_PATHS=ON
 
 override_dh_shlibdeps:
 	dh_shlibdeps

=== debian/watch ===
version=4
http://download.kde.org/stable/ktorrent/([\d\.]+)/libktorrent-([\d\.]+)\.tar\.xz

## libktorrent 2.1.1

=== CMakeLists.txt ===
project(LIBKTORRENT)

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)

# set some default settings
enable_testing()

find_package(ECM 5.15.0  NO_MODULE)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

#
# checks for functions and stuff
#
include(CheckIncludeFiles)
include(CheckFunctionExists)
include(CheckTypeSize) #XFS

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings  NO_POLICY_SCOPE)
include(FeatureSummary)
include(GenerateExportHeader)
include(ECMMarkAsTest)
include(ECMSetupVersion)
include(ECMPackageConfigHelpers)

set(Boost_MIN_VERSION "1.34.0")
set(LibGMP_MIN_VERSION "6.0.0")
set(LibGcrypt_MIN_VERSION "1.4.5")
set(KF5_MIN_VERSION "5.15")
set(QT_MIN_VERSION "5.2.0")

set(LIBKTORRENT_VERSION "2.1.1")

ecm_setup_version(${LIBKTORRENT_VERSION} VARIABLE_PREFIX LIBKTORRENT
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/libktorrent_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5TorrentConfigVersion.cmake"
                        SOVERSION 1)

find_package(Qt5 "${QT_MIN_VERSION}" CONFIG REQUIRED COMPONENTS
    Core
    Network
    Xml
    Test
)

# Load the frameworks we need
find_package(KF5 "${KF5_MIN_VERSION}" REQUIRED COMPONENTS
    Archive
    Crash
    I18n
    KIO
    Solid
)

find_package(Boost "${Boost_MIN_VERSION}" REQUIRED)
find_package(LibGMP "${LibGMP_MIN_VERSION}" REQUIRED)
find_package(LibGcrypt "${LibGcrypt_MIN_VERSION}" REQUIRED)
find_package(Qca-qt5 CONFIG REQUIRED)

kde_enable_exceptions()
add_definitions(
  -DQT_USE_QSTRINGBUILDER
  -DQT_NO_CAST_TO_ASCII
#   -DQT_NO_CAST_FROM_ASCII
  -DQT_STRICT_ITERATORS
  -DQT_NO_URL_CAST_FROM_STRING
  -DQT_NO_CAST_FROM_BYTEARRAY
  -DQT_NO_CAST_TO_BYTEARRAY
  -DQT_NO_SIGNALS_SLOTS_KEYWORDS
  -DQT_USE_FAST_OPERATOR_PLUS
)
add_definitions(-DTRANSLATION_DOMAIN="libktorrent5")

include_directories(${Boost_INCLUDE_DIR})

#XFS prealloc
check_include_files(xfs/xfs.h HAVE_XFS_XFS_H)
if(HAVE_XFS_XFS_H)
    set(CMAKE_EXTRA_INCLUDE_FILES xfs/xfs.h)
    check_type_size(__u64 HAVE___U64)
    check_type_size(__s64 HAVE___S64)
    set(CMAKE_EXTRA_INCLUDE_FILES)
endif()

# check for 64 bit file I/O functions
check_function_exists(fopen64 HAVE_FOPEN64)
check_function_exists(fseeko64 HAVE_FSEEKO64)
check_function_exists(fseeko HAVE_FSEEKO)
check_function_exists(ftello64 HAVE_FTELLO64)
check_function_exists(ftello HAVE_FTELLO)
check_function_exists(fstat64 HAVE_FSTAT64)
check_function_exists(stat64 HAVE_STAT64)
check_function_exists(ftruncate64 HAVE_FTRUNCATE64)
check_function_exists(lseek64 HAVE_LSEEK64)
check_function_exists(mmap64 HAVE_MMAP64)
check_function_exists(munmap64 HAVE_MUNMAP64)
check_function_exists(posix_fallocate64 HAVE_POSIX_FALLOCATE64)
check_function_exists(posix_fallocate HAVE_POSIX_FALLOCATE)
check_function_exists(fallocate HAVE_FALLOCATE)
check_function_exists(statvfs HAVE_STATVFS)
check_function_exists(statvfs64 HAVE_STATVFS64)

add_subdirectory(src)
if(BUILD_TESTING)
    add_subdirectory(testlib)
endif()
add_subdirectory(examples)
add_subdirectory(doc)

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Torrent")

ecm_configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KF5TorrentConfig.cmake.in"
                              "${CMAKE_CURRENT_BINARY_DIR}/KF5TorrentConfig.cmake"
                              INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                              PATH_VARS INCLUDE_INSTALL_DIR
                              )

# Install the CMake modules needed to use libktorrent
add_subdirectory(cmake)

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KF5TorrentConfig.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KF5TorrentConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel)

install(EXPORT KF5TorrentTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5TorrentTargets.cmake NAMESPACE KF5:: )

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

message("NOTE: LibKTorrent will crash unless you compile Botan library without GMP support.\n")

find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== doc/CMakeLists.txt ===
find_package(Doxygen)
if (DOXYGEN_FOUND AND DOXYGEN_DOT_FOUND)
    message (STATUS "Doxygen and dot found. make docs target is available")
    # Add support for a docs target

    set(TAGFILES "${CMAKE_SOURCE_DIR}/scripts/qttags.tag=http://qt.nokia.com/doc/${QT_VERSION_MAJOR}.${QT_VERSION_MINOR}")
    set(DOCS_OUTPUT_DIRECTORY "@CMAKE_BINARY_DIR@/apidocs")
    configure_file("Doxyfile.in" "${CMAKE_CURRENT_BINARY_DIR}/Doxyfile" IMMEDIATE @ONLY)

    # Add support for a Qt assistant docs target
    # qttags.tag is too big to distribute with Grantlee. Get it
    # from http://api.kde.org/kdereview-api/kdereview.tar.gz for example.
    if(EXISTS ${CMAKE_SOURCE_DIR}/scripts/qttags.tag)
        set(DOCS_OUTPUT_DIRECTORY "@CMAKE_BINARY_DIR@/qtdocs")
        set(TAGFILES "${CMAKE_SOURCE_DIR}/scripts/qttags.tag=qthelp://com.trolltech.qt/qdoc/")
        set(GENERATE_QHP "yes")

        configure_file("${CMAKE_MODULE_PATH}/Doxyfile.in" "${CMAKE_CURRENT_BINARY_DIR}/Doxyfile.qt" IMMEDIATE @ONLY)
    endif()

    set( DOCS_ARGS ${DOXYGEN_EXECUTABLE} "${CMAKE_CURRENT_BINARY_DIR}/Doxyfile")
    if(EXISTS "${CMAKE_CURRENT_BINARY_DIR}/Doxyfile.qt")
        set(DOCS_ARGS ${DOCS_ARGS} COMMAND ${DOXYGEN_EXECUTABLE} "${CMAKE_CURRENT_BINARY_DIR}/Doxyfile.qt")
    endif()

    add_custom_target(docs ${DOCS_ARGS})
endif()

=== src/CMakeLists.txt ===
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/config-ktorrent.h.cmake ${CMAKE_BINARY_DIR}/config-ktorrent.h)

remove_definitions(-DQT_NO_HTTP)

set(libktorrent_SRC
    util/bitset.cpp
    util/timer.cpp
    util/urlencoder.cpp
    util/sha1hashgen.cpp
    util/sha1hash.cpp
    util/functions.cpp
    util/ptrmap.cpp
    util/array.cpp
    util/error.cpp
    util/file.cpp
    util/fileops.cpp
    util/log.cpp
    util/waitjob.cpp
    util/autorotatelogjob.cpp
    util/compressfilejob.cpp
    util/decompressfilejob.cpp
    util/extractfilejob.cpp
    util/logsystemmanager.cpp
    util/pipe.cpp
    util/circularbuffer.cpp
    util/resourcemanager.cpp
    util/bufferpool.cpp

    bcodec/bdecoder.cpp
    bcodec/bencoder.cpp
    bcodec/bnode.cpp
    bcodec/value.cpp

    net/address.cpp
    net/packetsocket.cpp
    net/portlist.cpp
    net/socket.cpp
    net/socketmonitor.cpp
    net/speed.cpp
    net/uploadthread.cpp
    net/downloadthread.cpp
    net/networkthread.cpp
    net/socketgroup.cpp
    net/socks.cpp
    net/wakeuppipe.cpp
    net/reverseresolver.cpp
    net/socketdevice.cpp
    net/poll.cpp
    net/serversocket.cpp
    net/addressresolver.cpp
    net/trafficshapedsocket.cpp
    net/streamsocket.cpp

    mse/bigint.cpp
    mse/functions.cpp
    mse/rc4encryptor.cpp
    mse/encryptedpacketsocket.cpp
    mse/encryptedauthenticate.cpp
    mse/encryptedserverauthenticate.cpp

    peer/authenticatebase.cpp
    peer/authenticate.cpp
    peer/serverauthenticate.cpp
    peer/authenticationmonitor.cpp
    peer/chunkcounter.cpp
    peer/peerid.cpp
    peer/peer.cpp
    peer/peermanager.cpp
    peer/peerdownloader.cpp
    peer/peeruploader.cpp
    peer/packetreader.cpp
    peer/peerprotocolextension.cpp
    peer/utpex.cpp
    peer/utmetadata.cpp
    peer/accessmanager.cpp
    peer/badpeerslist.cpp
    peer/peerconnector.cpp
    peer/superseeder.cpp
    peer/connectionlimit.cpp

    #download/piece.cpp all the code is inlined
    #download/request.cpp all the code is inlined
    download/packet.cpp
    download/webseed.cpp
    download/chunkdownload.cpp
    download/chunkselector.cpp
    download/downloader.cpp
    download/httpconnection.cpp
    download/httpresponseheader.cpp
    download/streamingchunkselector.cpp

    interfaces/piecedownloader.cpp
    interfaces/peerinterface.cpp
    interfaces/peersource.cpp
    interfaces/torrentinterface.cpp
    interfaces/torrentfileinterface.cpp
    interfaces/trackerslist.cpp
    interfaces/logmonitorinterface.cpp
    interfaces/blocklistinterface.cpp
    interfaces/exitoperation.cpp
    interfaces/chunkdownloadinterface.cpp
    interfaces/monitorinterface.cpp
    interfaces/queuemanagerinterface.cpp
    interfaces/chunkselectorinterface.cpp
    interfaces/cachefactory.cpp
    interfaces/webseedinterface.cpp
    interfaces/trackerinterface.cpp
    interfaces/serverinterface.cpp

    torrent/globals.cpp
    torrent/server.cpp
    torrent/torrent.cpp
    torrent/torrentfile.cpp
    torrent/peersourcemanager.cpp
    torrent/uploader.cpp
    torrent/timeestimator.cpp
    torrent/statsfile.cpp
    torrent/choker.cpp
    torrent/advancedchokealgorithm.cpp
    torrent/torrentcontrol.cpp
    torrent/torrentcreator.cpp
    torrent/torrentstats.cpp
    torrent/jobqueue.cpp
    torrent/job.cpp
    torrent/torrentfilestream.cpp

    dht/announcetask.cpp
    dht/dht.cpp
    dht/kclosestnodessearch.cpp
    dht/nodelookup.cpp
    dht/rpcmsg.cpp
    dht/rpcmsgfactory.cpp
    dht/taskmanager.cpp
    dht/database.cpp
    dht/dhtpeersource.cpp
    dht/key.cpp
    dht/pack.cpp
    dht/rpcserver.cpp
    dht/rpcserverinterface.cpp
    dht/dhtbase.cpp
    dht/kbucket.cpp
    dht/kbucketentry.cpp
    dht/kbuckettable.cpp
    dht/node.cpp
    dht/rpccall.cpp
    dht/task.cpp
    dht/packednodecontainer.cpp
    dht/errmsg.cpp
    dht/pingreq.cpp
    dht/findnodereq.cpp
    dht/getpeersreq.cpp
    dht/announcereq.cpp
    dht/pingrsp.cpp
    dht/findnodersp.cpp
    dht/getpeersrsp.cpp
    dht/announcersp.cpp

    diskio/cache.cpp
    diskio/chunk.cpp
    diskio/dndfile.cpp
    diskio/singlefilecache.cpp
    diskio/multifilecache.cpp
    diskio/preallocationthread.cpp
    diskio/preallocationjob.cpp
    diskio/movedatafilesjob.cpp
    diskio/deletedatafilesjob.cpp
    diskio/piecedata.cpp
    diskio/cachefile.cpp
    diskio/chunkmanager.cpp

    tracker/httptracker.cpp
    tracker/tracker.cpp
    tracker/udptracker.cpp
    tracker/udptrackersocket.cpp
    tracker/trackermanager.cpp
    #tracker/httpannouncejob.cpp
    tracker/kioannouncejob.cpp

    datachecker/datachecker.cpp
    datachecker/datacheckerthread.cpp
    datachecker/singledatachecker.cpp
    datachecker/multidatachecker.cpp
    datachecker/datacheckerjob.cpp

    migrate/cachemigrate.cpp
    migrate/ccmigrate.cpp
    migrate/migrate.cpp

    magnet/magnetdownloader.cpp
    magnet/magnetlink.cpp
    magnet/metadatadownload.cpp

    utp/utpserver.cpp
    utp/utpserverthread.cpp
    utp/connection.cpp
    utp/localwindow.cpp
    utp/remotewindow.cpp
    utp/utpsocket.cpp
    utp/timevalue.cpp
    utp/utpprotocol.cpp
    utp/pollpipe.cpp
    utp/delaywindow.cpp
    utp/outputqueue.cpp
    utp/packetbuffer.cpp

    upnp/soap.cpp
    upnp/upnpmcastsocket.cpp
    upnp/upnprouter.cpp
    upnp/upnpdescriptionparser.cpp
    upnp/httprequest.cpp

    version.cpp
)

if(NOT WIN32)
# Add signalcatcher.cpp for all builds except WIN32
set(libktorrent_SRC ${libktorrent_SRC} util/signalcatcher.cpp)
endif(NOT WIN32)

if(WIN32)
# Compile stuff for windows
set(libktorrent_SRC ${libktorrent_SRC} util/win32.cpp)
endif(WIN32)


# ki18n_wrap_ui(libktorrent_SRC ${libktorrent_UI})
# kconfig_add_kcfg_files(libktorrent_SRC settings.kcfgc)
add_library(KF5Torrent ${libktorrent_SRC})
add_library(KF5::Torrent ALIAS KF5Torrent)

generate_export_header(KF5Torrent BASE_NAME ktorrent)

target_link_libraries(KF5Torrent
PRIVATE
    qca-qt5
PUBLIC
    KF5::Archive
    KF5::Crash
    KF5::KIOCore
    KF5::KIOWidgets
    KF5::Solid
    KF5::I18n
    Qt5::Xml
    LibGcrypt::LibGcrypt
    LibGMP::LibGMP
)

if(WIN32)
target_link_libraries(KF5Torrent ws2_32)
endif(WIN32)
target_include_directories(KF5Torrent INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/libktorrent>")
target_include_directories(KF5Torrent PUBLIC "$<BUILD_INTERFACE:${LIBKTORRENT_SOURCE_DIR}/src;${LIBKTORRENT_BINARY_DIR}/src;${LIBKTORRENT_BINARY_DIR}>")


set_target_properties(KF5Torrent PROPERTIES VERSION 6.0.0 SOVERSION 6 EXPORT_NAME Torrent)
install(TARGETS KF5Torrent EXPORT KF5TorrentTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

set (interfaces_HDR
    interfaces/peerinterface.h
    interfaces/queuemanagerinterface.h
    interfaces/exitoperation.h
    interfaces/chunkdownloadinterface.h
    interfaces/trackerslist.h
    interfaces/torrentinterface.h
    interfaces/logmonitorinterface.h
    interfaces/piecedownloader.h
    interfaces/monitorinterface.h
    interfaces/blocklistinterface.h
    interfaces/torrentfileinterface.h
    interfaces/peersource.h
    interfaces/chunkselectorinterface.h
    interfaces/cachefactory.h
    interfaces/webseedinterface.h
    interfaces/trackerinterface.h
    interfaces/serverinterface.h
)

set (ktorrent_HDR
    ${CMAKE_CURRENT_BINARY_DIR}/ktorrent_export.h
    version.h
)

set (bcodec_HDR
    bcodec/bencoder.h
    bcodec/bnode.h
    bcodec/bdecoder.h
    bcodec/value.h
)

set (migrate_HDR
    migrate/ccmigrate.h
    migrate/migrate.h
    migrate/cachemigrate.h
)



install(FILES ${bcodec_HDR} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/libktorrent/bcodec COMPONENT Devel)
install(FILES ${interfaces_HDR} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/libktorrent/interfaces COMPONENT Devel)
install(FILES ${migrate_HDR} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/libktorrent/migrate COMPONENT Devel)
install(FILES ${ktorrent_HDR} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/libktorrent COMPONENT Devel)

add_subdirectory(torrent)
add_subdirectory(datachecker)
add_subdirectory(download)
add_subdirectory(diskio)
add_subdirectory(peer)
add_subdirectory(net)
add_subdirectory(mse)
add_subdirectory(magnet)
add_subdirectory(util)
add_subdirectory(utp)
add_subdirectory(upnp)
add_subdirectory(tracker)
add_subdirectory(dht)

=== testlib/CMakeLists.txt ===
set(testlib_SRC
    utils.cpp
    dummytorrentcreator.cpp
)

add_library(testlib STATIC ${testlib_SRC})

target_include_directories(testlib PUBLIC "$<BUILD_INTERFACE:${LIBKTORRENT_SOURCE_DIR}/testlib;${LIBKTORRENT_SOURCE_DIR}>")

target_link_libraries(testlib KF5::Torrent KF5::KIOCore KF5::Crash)

=== src/magnet/CMakeLists.txt ===
set (magnet_HDR
    magnetdownloader.h
    magnetlink.h
    metadatadownload.h
)

install(FILES ${magnet_HDR} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/libktorrent/magnet COMPONENT Devel)

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

=== src/mse/CMakeLists.txt ===
if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

set(mse_HDR
    encryptedserverauthenticate.h
    functions.h
    rc4encryptor.h
    encryptedauthenticate.h
    bigint.h
    encryptedpacketsocket.h
)

install(FILES ${mse_HDR} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/libktorrent/mse COMPONENT Devel)

=== src/torrent/tests/CMakeLists.txt ===
set(statsfiletest_SRCS statsfiletest.cpp)
add_executable(statsfiletest ${statsfiletest_SRCS})
add_test(statsfiletest statsfiletest)
ecm_mark_as_test(statsfiletest)
target_link_libraries( statsfiletest Qt5::Test KF5::Torrent)

set(torrentfilestreamtest_SRCS torrentfilestreamtest.cpp)
add_executable(torrentfilestreamtest ${torrentfilestreamtest_SRCS})
add_test(torrentfilestreamtest torrentfilestreamtest)
ecm_mark_as_test(torrentfilestreamtest)
target_link_libraries( torrentfilestreamtest Qt5::Test testlib KF5::Torrent)

set(torrentfilestreammultitest_SRCS torrentfilestreammultitest.cpp)
add_executable(torrentfilestreammultitest ${torrentfilestreammultitest_SRCS})
add_test(torrentfilestreammultitest torrentfilestreammultitest)
ecm_mark_as_test(torrentfilestreammultitest)
target_link_libraries( torrentfilestreammultitest Qt5::Test testlib KF5::Torrent)

=== debian/changelog ===
libktorrent (2.1.1-2ubuntu2) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 25 Mar 2020 19:02:54 +0100

libktorrent (2.1.1-2ubuntu1) focal; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Breaks/Replaces for libkf5torrent6 against libktorrent6.

 -- Rik Mills <rikmills@kde.org>  Sun, 27 Oct 2019 10:54:23 +0000

libktorrent (2.1.1-2) unstable; urgency=medium

  * Team upload.
  * Update symbols files from buildd's logs.

 -- Pino Toscano <pino@debian.org>  Sat, 28 Sep 2019 21:22:51 +0200

libktorrent (2.1.1-1ubuntu1) eoan; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Breaks/Replaces for libkf5torrent6 against libktorrent6.

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 15 Sep 2019 07:39:05 +0100

libktorrent (2.1.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump compat to 11
    - bump the debhelper build dependency to 11
    - remove --parallel to dh
  * Bump Standards-Version to 4.4.0, no changes required.
  * Update symbols file.
  * Switch watch file to https.

 -- Pino Toscano <pino@debian.org>  Sat, 14 Sep 2019 14:53:31 +0200

libktorrent (2.1.1-0ubuntu1) eoan; urgency=medium

  * New upstream bugfix release (2.1.1)
  * Merge debian changes from 2.1-2, remaining changes:
    - Breaks/Replaces for libkf5torrent6 against libktorrent6, as this was
      renamed for 2.1 in debian experimental prior to upload to sid
    - Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 02 Sep 2019 14:55:37 +0100

=== debian/control ===
Source: libktorrent
Section: libs
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>
Build-Depends: cmake, debhelper (>= 11~), pkg-kde-tools (>= 0.15.16),
 extra-cmake-modules (>= 1.0.0),
 qtbase5-dev,
 libkf5archive-dev (>= 5.15),
 libkf5crash-dev (>= 5.15),
 libkf5i18n-dev (>= 5.15),
 libkf5kio-dev (>= 5.15),
 libkf5solid-dev (>= 5.15),
 libqca-qt5-2-dev,
 libgmp-dev, libboost-dev, libgcrypt20-dev,
 pkg-config,
Standards-Version: 4.4.0
Homepage: https://www.kde.org/applications/internet/ktorrent/
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/libktorrent.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/libktorrent

Package: libkf5torrent6
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: libktorrent-l10n (>= ${source:Version})
Breaks: libktorrent6
Replaces: libktorrent6
Description: KTorrent library for C++ / Qt 5 / KDE Frameworks
 The KTorrent library is a C++ / Qt 5 / KDE Frameworks based implementation of
 the BitTorrent protocol (mostly client side).
 .
 The library supports connectivity to HTTP and UDP trackers, mainline DHT and
 the new generation Micro Transport Protocol (uTP). In addition, it provides
 many powerful BitTorrent network features including but not limited to torrent
 downloading and seeding, torrent creation and downloaded data verification,
 magnet links, advanced peer management, IP blocking lists.

Package: libktorrent-dev
Architecture: any
Section: libdevel
Depends: libkf5torrent6 (= ${binary:Version}), ${misc:Depends},
 ${sameVersionDep:qtbase5-dev},
 ${sameVersionDep:libkf5archive-dev},
 ${sameVersionDep:libkf5config-dev},
 ${sameVersionDep:libkf5kio-dev},
 libboost-dev,
 libgmp-dev,
 libgcrypt20-dev,
Description: development files for the KTorrent Library
 The KTorrent library is a C++ / Qt 5 / KDE Frameworks based implementation of
 the BitTorrent protocol (mostly client side).
 .
 This package contains header files, CMake modules and other files needed for
 developing and compiling/linking which use the KTorrent library.

Package: libktorrent-l10n
Architecture: all
Section: localization
Depends: ${misc:Depends}
Description: localization files for the KTorrent library
 The KTorrent library is a C++ / Qt 5 / KDE Frameworks based implementation of
 the BitTorrent protocol (mostly client side).
 .
 This package contains translations of the KTorrent library.

=== debian/watch ===
version=4
https://download.kde.org/stable/ktorrent/([\d\.]+)/libktorrent-([\d\.]+)\.tar\.xz

## libktorrent 2.2.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -29,9 +29,9 @@
 set(LibGMP_MIN_VERSION "6.0.0")
 set(LibGcrypt_MIN_VERSION "1.4.5")
 set(KF5_MIN_VERSION "5.15")
-set(QT_MIN_VERSION "5.2.0")
+set(QT_MIN_VERSION "5.7.0")
 
-set(LIBKTORRENT_VERSION "2.1.1")
+set(LIBKTORRENT_VERSION "2.2.0")
 
 ecm_setup_version(${LIBKTORRENT_VERSION} VARIABLE_PREFIX LIBKTORRENT
                         VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/libktorrent_version.h"

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -235,7 +235,6 @@
     qca-qt5
 PUBLIC
     KF5::Archive
-    KF5::Crash
     KF5::KIOCore
     KF5::KIOWidgets
     KF5::Solid

=== src/diskio/CMakeLists.txt ===
if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

set(diskio_HDR
    cache.h
    cachefile.h
    singlefilecache.h
    preallocationthread.h
    preallocationjob.h
    movedatafilesjob.h
    deletedatafilesjob.h
    chunkmanager.h
    dndfile.h
    chunk.h
    multifilecache.h
    piecedata.h
)

install(FILES ${diskio_HDR} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/libktorrent/diskio COMPONENT Devel)

=== src/peer/CMakeLists.txt ===
set(peer_HDR
    peeruploader.h
    peer.h
    peermanager.h
    authenticatebase.h
    authenticate.h
    peerprotocolextension.h
    utpex.h
    utmetadata.h
    packetreader.h
    authenticationmonitor.h
    peerid.h
    peerdownloader.h
    chunkcounter.h
    serverauthenticate.h
    accessmanager.h
    peerconnector.h
    superseeder.h
    connectionlimit.h
)

install(FILES ${peer_HDR} DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/libktorrent/peer COMPONENT Devel)

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

=== src/dht/tests/CMakeLists.txt ===
set(rpcmsgtest_SRCS rpcmsgtest.cpp)
add_executable(rpcmsgtest ${rpcmsgtest_SRCS})
add_test(rpcmsgtest rpcmsgtest)
ecm_mark_as_test(rpcmsgtest)
target_link_libraries(rpcmsgtest Qt5::Test testlib KF5::Torrent)

set(keytest_SRCS keytest.cpp)
add_executable(keytest ${keytest_SRCS})
add_test(keytest keytest)
ecm_mark_as_test(keytest)
target_link_libraries(keytest Qt5::Test testlib KF5::Torrent)

=== src/diskio/tests/CMakeLists.txt ===
set(chunkmanagertest_SRCS chunkmanagertest.cpp)
add_executable(chunkmanagertest ${chunkmanagertest_SRCS})
add_test(chunkmanagertest chunkmanagertest)
ecm_mark_as_test(chunkmanagertest)
target_link_libraries(chunkmanagertest Qt5::Test testlib KF5::Torrent)

set(preallocationtest_SRCS preallocationtest.cpp)
add_executable(preallocationtest ${preallocationtest_SRCS})
add_test(preallocationtest preallocationtest)
ecm_mark_as_test(preallocationtest)
target_link_libraries(preallocationtest Qt5::Test testlib KF5::Torrent)

=== debian/changelog ===
libktorrent (2.2.0-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Update the symbols file from the logs of buildds; also prepare for
    boost 1.74. (Closes: #975445)

 -- Pino Toscano <pino@debian.org>  Sun, 22 Nov 2020 14:57:39 +0100

libktorrent (2.2.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Fri, 07 Aug 2020 16:57:25 +0200

libktorrent (2.2.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Explicitly add the gettext build dependency.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper build dependency to debhelper-compat 13
    - remove debian/compat
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Add the configuration for the CI on salsa.
  * libkf5torrent6 had an ABI break with no SONAME bump, so:
    - apply the Debian ABI manager; patch enable_debianabimanager.diff
    - rename libkf5torrent6 to libkf5torrent6abi1
  * Update symbols file.

 -- Pino Toscano <pino@debian.org>  Wed, 05 Aug 2020 08:38:43 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Modestas Vainius <modax@debian.org>
-Build-Depends: cmake, debhelper (>= 11~), pkg-kde-tools (>= 0.15.16),
+Build-Depends: cmake, debhelper-compat (= 13), pkg-kde-tools (>= 0.15.16),
  extra-cmake-modules (>= 1.0.0),
  qtbase5-dev,
  libkf5archive-dev (>= 5.15),
@@ -14,18 +14,20 @@
  libqca-qt5-2-dev,
  libgmp-dev, libboost-dev, libgcrypt20-dev,
  pkg-config,
-Standards-Version: 4.4.0
+ gettext,
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Homepage: https://www.kde.org/applications/internet/ktorrent/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/libktorrent.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/libktorrent
 
-Package: libkf5torrent6
+Package: libkf5torrent6abi1
+X-Debian-ABI: 1
+X-CMake-Target: KF5Torrent
 Architecture: any
 Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Suggests: libktorrent-l10n (>= ${source:Version})
-Breaks: libktorrent6
-Replaces: libktorrent6
 Description: KTorrent library for C++ / Qt 5 / KDE Frameworks
  The KTorrent library is a C++ / Qt 5 / KDE Frameworks based implementation of
  the BitTorrent protocol (mostly client side).
@@ -39,7 +41,7 @@
 Package: libktorrent-dev
 Architecture: any
 Section: libdevel
-Depends: libkf5torrent6 (= ${binary:Version}), ${misc:Depends},
+Depends: libkf5torrent6abi1 (= ${binary:Version}), ${misc:Depends},
  ${sameVersionDep:qtbase5-dev},
  ${sameVersionDep:libkf5archive-dev},
  ${sameVersionDep:libkf5config-dev},

=== debian/rules ===
#!/usr/bin/make -f

override_dh_auto_configure:
	dh_auto_configure -Skf5 -- -DBUILD_TESTING=OFF

override_dh_shlibdeps:
	dh_shlibdeps
	dh_sameversiondep

override_dh_strip:
	dh_strip --dbgsym-migration='libktorrent-dbg (<< 2.0.1-1~)'

%:
	dh $@ --with kf5

.PHONY: override_dh_auto_test

## libktorrent 20.12.3

=== debian/changelog ===
libktorrent (20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:28:58 +0000

libktorrent (20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 10:02:21 +0000

libktorrent (20.12.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 20 Jan 2021 23:15:44 +0000

libktorrent (20.12.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.0)
  * Refresh patch enable_debianabimanager.diff
  * Update install files.
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Dec 2020 14:35:35 +0000

=== debian/control ===
--- 
+++ 
@@ -3,18 +3,22 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Modestas Vainius <modax@debian.org>
-Build-Depends: cmake, debhelper-compat (= 13), pkg-kde-tools (>= 0.15.16),
- extra-cmake-modules (>= 1.0.0),
- qtbase5-dev,
- libkf5archive-dev (>= 5.15),
- libkf5crash-dev (>= 5.15),
- libkf5i18n-dev (>= 5.15),
- libkf5kio-dev (>= 5.15),
- libkf5solid-dev (>= 5.15),
- libqca-qt5-2-dev,
- libgmp-dev, libboost-dev, libgcrypt20-dev,
- pkg-config,
- gettext,
+Build-Depends: cmake,
+               debhelper-compat (= 13),
+               extra-cmake-modules (>= 1.0.0),
+               gettext,
+               libboost-dev,
+               libgcrypt20-dev,
+               libgmp-dev,
+               libkf5archive-dev (>= 5.15),
+               libkf5crash-dev (>= 5.15),
+               libkf5i18n-dev (>= 5.15),
+               libkf5kio-dev (>= 5.15),
+               libkf5solid-dev (>= 5.15),
+               libqca-qt5-2-dev,
+               pkg-config,
+               pkg-kde-tools (>= 0.15.16),
+               qtbase5-dev,
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://www.kde.org/applications/internet/ktorrent/
@@ -41,14 +45,15 @@
 Package: libktorrent-dev
 Architecture: any
 Section: libdevel
-Depends: libkf5torrent6abi1 (= ${binary:Version}), ${misc:Depends},
- ${sameVersionDep:qtbase5-dev},
- ${sameVersionDep:libkf5archive-dev},
- ${sameVersionDep:libkf5config-dev},
- ${sameVersionDep:libkf5kio-dev},
- libboost-dev,
- libgmp-dev,
- libgcrypt20-dev,
+Depends: libboost-dev,
+         libgcrypt20-dev,
+         libgmp-dev,
+         libkf5torrent6abi1 (= ${binary:Version}),
+         ${misc:Depends},
+         ${sameVersionDep:libkf5archive-dev},
+         ${sameVersionDep:libkf5config-dev},
+         ${sameVersionDep:libkf5kio-dev},
+         ${sameVersionDep:qtbase5-dev},
 Description: development files for the KTorrent Library
  The KTorrent library is a C++ / Qt 5 / KDE Frameworks based implementation of
  the BitTorrent protocol (mostly client side).

## libktorrent 21.04.0

=== debian/changelog ===
libktorrent (21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:46:46 +0100

## libktorrent 21.08.0

=== debian/changelog ===
libktorrent (21.08.0-2) unstable; urgency=medium

  * Source-only upload.

 -- Norbert Preining <norbert@preining.info>  Wed, 20 Oct 2021 16:11:31 +0900

libktorrent (21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release within KDE Gears (21.08.0).
  * Update watch file.
  * Add upstream signing key.
  * Update build-deps and deps with the info from cmake.
  * Update patch.
  * Removed Modestas Vainius from the uploaders, thanks for your work on
    the package!
  * Added myself to the uploaders.
  * Update maintainer to Qt/KDE Team.
  * ABI bump due to severe change of symbols/ABI:
    - rename library to libkf5torrent6abi2
    - update symbols, installed files

 -- Norbert Preining <norbert@preining.info>  Fri, 20 Aug 2021 11:42:50 +0900

=== debian/control ===
--- 
+++ 
@@ -1,36 +1,36 @@
 Source: libktorrent
 Section: libs
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Modestas Vainius <modax@debian.org>
-Build-Depends: cmake,
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Norbert Preining <norbert@preining.info>,
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
-               extra-cmake-modules (>= 1.0.0),
+               extra-cmake-modules (>= 5.82~),
                gettext,
-               libboost-dev,
-               libgcrypt20-dev,
+               libboost-dev (>= 1.71.0~),
+               libgcrypt20-dev (>= 1.4.5~),
                libgmp-dev,
-               libkf5archive-dev (>= 5.15),
-               libkf5crash-dev (>= 5.15),
-               libkf5i18n-dev (>= 5.15),
-               libkf5kio-dev (>= 5.15),
-               libkf5solid-dev (>= 5.15),
+               libkf5archive-dev (>= 5.82~),
+               libkf5crash-dev (>= 5.82~),
+               libkf5i18n-dev (>= 5.82~),
+               libkf5kio-dev (>= 5.82~),
+               libkf5solid-dev (>= 5.82~),
                libqca-qt5-2-dev,
                pkg-config,
                pkg-kde-tools (>= 0.15.16),
-               qtbase5-dev,
+               qtbase5-dev (>= 5.15.0~),
 Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://www.kde.org/applications/internet/ktorrent/
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/libktorrent.git
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/libktorrent
 
-Package: libkf5torrent6abi1
-X-Debian-ABI: 1
+Package: libkf5torrent6abi2
+X-Debian-ABI: 2
 X-CMake-Target: KF5Torrent
 Architecture: any
 Multi-Arch: same
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Suggests: libktorrent-l10n (>= ${source:Version})
 Description: KTorrent library for C++ / Qt 5 / KDE Frameworks
  The KTorrent library is a C++ / Qt 5 / KDE Frameworks based implementation of
@@ -45,10 +45,10 @@
 Package: libktorrent-dev
 Architecture: any
 Section: libdevel
-Depends: libboost-dev,
-         libgcrypt20-dev,
+Depends: libboost-dev (>= 1.71.0~),
+         libgcrypt20-dev (>= 1.4.5~),
          libgmp-dev,
-         libkf5torrent6abi1 (= ${binary:Version}),
+         libkf5torrent6abi2 (= ${binary:Version}),
          ${misc:Depends},
          ${sameVersionDep:libkf5archive-dev},
          ${sameVersionDep:libkf5config-dev},
